clang 8.0.0

Public Member Functions | List of all members
clang::PoisonIdentifierRAIIObject Class Reference

An RAII object for [un]poisoning an identifier within a scope. More...

`#include "clang/Basic/IdentifierTable.h"`

## Public Member Functions
| PoisonIdentifierRAIIObject (IdentifierInfo *II, bool NewValue)
| ~PoisonIdentifierRAIIObject ()

## Detailed Description

An RAII object for [un]poisoning an identifier within a scope.

`II` is allowed to be null, in which case objects of this type have no effect.

Definition at line 411 of file IdentifierTable.h.

## Constructor & Destructor Documentation

## ◆ PoisonIdentifierRAIIObject()

clang::PoisonIdentifierRAIIObject::PoisonIdentifierRAIIObject | ( | IdentifierInfo * | II,
|  | bool | NewValue
| ) |  |
| inline

Definition at line 416 of file IdentifierTable.h.

References clang::IdentifierInfo::setIsPoisoned().

## ◆ ~PoisonIdentifierRAIIObject()

clang::PoisonIdentifierRAIIObject::~PoisonIdentifierRAIIObject | ( |  | ) |
| inline

Definition at line 422 of file IdentifierTable.h.

References clang::IdentifierInfo::setIsPoisoned().

The documentation for this class was generated from the following file:

- include/clang/Basic/IdentifierTable.h